| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages

### - f -

- fA : MagCalibration
- faErrSePl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- faGlPl : SV_9DOF_GBY_KALMAN
- faSe : fsl_orientation_DataBuffer_t
- faSeMi : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- faSePl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fb : fsl_orientation_DataBuffer_t
- fB : MagCalibration
- fBc : MagSensor
- fBcFast : MagSensor
- fbErr : fsl_orientation_DataBuffer_t
- fbErrPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fBp : MagSensor
- fBpFast : MagSensor
- fbPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fC3x9 : SV_6DOF_GY_KALMAN
- fC6x12 : SV_9DOF_GBY_KALMAN
- fcasq : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fcdsq : SV_9DOF_GBY_KALMAN
- fChi : fsl_orientation_DataBuffer_t , SV_3DOF_Y_BASIC
- fChiPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fCPerCount : PressureSensor
- fDelta : fsl_orientation_DataBuffer_t , SV_6DOF_GB_BASIC
- fDeltaPl : SV_9DOF_GBY_KALMAN
- fDeltaq : SV_3DOF_Y_BASIC , SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fdeltat : SV_1DOF_P_BASIC , SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_3DOF_Y_BASIC , SV_6DOF_GB_BASIC , SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fdeltatsq : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fdErrGlPl : SV_9DOF_GBY_KALMAN
- fdErrSePl : SV_9DOF_GBY_KALMAN
- fFastdeltat : SV_3DOF_Y_BASIC , SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fFitErrorpc : MagCalibration
- fFourBsq : MagCalibration
- fgErrSeMi : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fGp : AccelSensor
- fGpFast : AccelSensor
- fgSeGyMi : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fHp : fsl_orientation_DataBuffer_t , PressureSensor
- fieldStrength : isf_MagneticFieldStrength1D_EngFixed_t , isf_MagneticFieldStrength1D_float_t , isf_MagneticFieldStrength2D_EngFixed_t , isf_MagneticFieldStrength2D_float_t , isf_MagneticFieldStrength3D_EngFixed_t , isf_MagneticFieldStrength3D_float_t
- fifos : App1AppInstance_t
- fifoState : isf_fifo_t
- finvA : MagCalibration
- finvW : MagCalibration
- fK12x6 : SV_9DOF_GBY_KALMAN
- fK9x3 : SV_6DOF_GY_KALMAN
- fLPChi : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPDelta : SV_6DOF_GB_BASIC
- flpf : SV_1DOF_P_BASIC , SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPHp : SV_1DOF_P_BASIC
- fLPPhi : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPPsi : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPq : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPR : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPRho : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPRVec : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPThe : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPTp : SV_1DOF_P_BASIC
- fmatA : MagCalibration
- fmatB : MagCalibration
- fmErrSeMi : SV_9DOF_GBY_KALMAN
- fmGl : SV_9DOF_GBY_KALMAN
- fmPerCount : PressureSensor
- fmSeGyMi : SV_9DOF_GBY_KALMAN
- fN : conversionBuffer_t
- fnAcquireLock : protocol_t
- fnConfigure : protocol_t
- fnDisEndPoint : protocol_t
- fnGetConfig : protocol_t
- fnGetEndPointAt : protocol_t
- fnGetState : protocol_t
- fnI2CLLDDeint : i2c_instance_PEx
- fnI2CLLDdeviceDis : i2c_instance_PEx
- fnI2CLLDdeviceEn : i2c_instance_PEx
- fnI2CLLDDeviceSelect : i2c_instance_PEx
- fnI2CLLDInit : i2c_instance_PEx
- fnI2CLLDRead : i2c_instance_PEx
- fnI2CLLDWrite : i2c_instance_PEx
- fnInit : protocol_t
- fnRead : protocol_t
- fnReleaseLock : protocol_t
- fnSPICLLDRead : spi_master_instance_PEx
- fnSPILLDInit : spi_master_instance_PEx
- fnSPILLDWrite : spi_master_instance_PEx
- fnStart : protocol_t
- fnStop : protocol_t
- fnTULDDDeint : TU_instance_PEx_t
- fnTULDDDisable : TU_instance_PEx_t
- fnTULDDEnable : TU_instance_PEx_t
- fnTULDDGetCounter : TU_instance_PEx_t
- fnTULDDGetPeriod : TU_instance_PEx_t
- fnTULDDInit : TU_instance_PEx_t
- fnTULDDResetCounter : TU_instance_PEx_t
- fnTULDDSetPeriod : TU_instance_PEx_t
- fnUARTCLLDRead : uart_instance_PEx
- fnUARTLLDInit : uart_instance_PEx
- fnUARTLLDWrite : uart_instance_PEx
- fnWrite : protocol_t
- fOmega : fsl_orientation_DataBuffer_t , SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_3DOF_Y_BASIC , SV_6DOF_GB_BASIC , SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fPhi : fsl_orientation_DataBuffer_t , isf_Orientation3D_Euler_EngFloat_t , SV_3DOF_Y_BASIC
- fPhiPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fPPlus12x12 : SV_9DOF_GBY_KALMAN
- fPPlus9x9 : SV_6DOF_GY_KALMAN
- fPsi : fsl_orientation_DataBuffer_t , isf_Orientation3D_Euler_EngFloat_t , SV_3DOF_Y_BASIC
- fPsiPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fq : fsl_orientation_DataBuffer_t , SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_3DOF_Y_BASIC , SV_6DOF_GB_BASIC
- fqMi : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fqPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fQvAA : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fQvMM : SV_9DOF_GBY_KALMAN
- fQw12x12 : SV_9DOF_GBY_KALMAN
- fQw9x9 : SV_6DOF_GY_KALMAN
- fQwbplusQvG : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fR : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_3DOF_Y_BASIC , SV_6DOF_GB_BASIC
- fRho : fsl_orientation_DataBuffer_t , SV_3DOF_Y_BASIC
- fRhoPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fRmatrix : fsl_orientation_DataBuffer_t
- fRMi : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fRPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fRVec : fsl_orientation_DataBuffer_t , SV_3DOF_Y_BASIC
- fRVecPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fsdouble : fxas21002_Sensor_Specific_Settings_t
- fThe : fsl_orientation_DataBuffer_t , isf_Orientation3D_Euler_EngFloat_t , SV_3DOF_Y_BASIC
- fThePl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fThErr : fsl_orientation_DataBuffer_t
- fThErrPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fTp : fsl_orientation_DataBuffer_t , PressureSensor
- ftrB : MagCalibration
- ftrFitErrorpc : MagCalibration
- ftrinvW : MagCalibration
- ftrV : MagCalibration
- fusionState : fsl_fusion_DeviceDescriptor_t
- fV : MagCalibration
- fvecA : MagCalibration
- fvecB : MagCalibration
- fw_version : device_info_t
- fYpBuffer : GyroSensor
- fzErrMi : SV_6DOF_GY_KALMAN

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.